#
# spec file for package gnokii (Version 0.3.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib-devel gtk gtk-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gnokii
Copyright:    GPL
Summary:      Nokia Conectivity Programm
Version:      0.3.2
Release:      120
Group:        Applications/Communications
Source0:       gnokii-0.3.2.tar.bz2
Source1:       sample.gnokiirc
#BuildRoot:    %{_tmppath}/%{name}-root

%description
gnokii is a package of programs to communicate with your Nokia cellular phone
under Linux. Please read the READMEs under /usr/share/doc/packages/gnokii
to know which models are supported.

Authors:
--------
    Hugh Blemings <hugh@linuxcare.com> 
    Pavel Jank ml. <Pavel.Janik@linux.cz> 
    Jn Derfik <ja@mail.upjs.sk>

SuSE series: ap

%prep
%setup
%{?suse_update_config:%{suse_update_config}}

%build
./configure --prefix=/usr --with-x --enable-nls
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
install -d $RPM_BUILD_ROOT/etc/
make install 
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/gnokiirc

%pre
tmp=`grep gnokii /etc/group`
if [ -z "$tmp" ]; then
  /usr/sbin/groupadd gnokii 2>&1
fi

%postun
/usr/sbin/groupdel gnokii >/dev/null 2>&1

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%doc Docs/CREDITS Docs/DataCalls-QuickStart Docs/README
%doc Docs/README-3810 Docs/README-6110 Docs/README-WIN32 Docs/sample.gnokiirc
%doc Docs/gettext-howto Docs/gnokii.nol Docs/gnokii-ir-howto
%doc Docs/packaging-howto
%attr(0750, root, gnokii) /usr/bin/gnokii
%attr(0750, root, gnokii) /usr/sbin/gnokiid
%attr(4750, root, gnokii) /usr/sbin/mgnokiidev
%config(noreplace) /etc/gnokiirc
/usr/bin/xgnokii
/usr/bin/xlogos
# dir
/usr/lib/xgnokii

%changelog -n gnokii
* Mon Sep 24 2001 - stark@suse.de
- cleanup spec-file a bit
* Sun Sep 23 2001 - stark@suse.de
- removed init-script (gnokiid has to be started for every
  connection)
- removed rc.config variables
* Sun Sep 23 2001 - stark@suse.de
- moved rc-link to /etc/init.d
* Thu Jan 25 2001 - tw@suse.de
- added an init-script to start gnokiid
- install the configuration file.
